Loading...
Searching...
No Matches
pcl::RangeImageBorderExtractor::ShadowBorderIndices Struct Reference

Stores the indices of the shadow border corresponding to obstacle borders. More...

`#include <pcl/features/range_image_border_extractor.h>`

## Public Member Functions

| ShadowBorderIndices ()=default

## Public Attributes

int | left {-1}
int | right {-1}
int | top {-1}
int | bottom {-1}

## Detailed Description

Stores the indices of the shadow border corresponding to obstacle borders.

Definition at line 79 of file range_image_border_extractor.h.

## Constructor & Destructor Documentation

## ShadowBorderIndices()

pcl::RangeImageBorderExtractor::ShadowBorderIndices::ShadowBorderIndices | ( |  | ) |

default

## Member Data Documentation

## bottom

int pcl::RangeImageBorderExtractor::ShadowBorderIndices::bottom {-1}

Definition at line 82 of file range_image_border_extractor.h.

## left

int pcl::RangeImageBorderExtractor::ShadowBorderIndices::left {-1}

Definition at line 82 of file range_image_border_extractor.h.

## right

int pcl::RangeImageBorderExtractor::ShadowBorderIndices::right {-1}

Definition at line 82 of file range_image_border_extractor.h.

## top

int pcl::RangeImageBorderExtractor::ShadowBorderIndices::top {-1}

Definition at line 82 of file range_image_border_extractor.h.

The documentation for this struct was generated from the following file:

- pcl/features/range_image_border_extractor.h